RECIPEBOOK_VERSION = "RecipeBook v. 1.9.0";
RECIPEBOOK_SEND_TIMEOUT = 30; --Seconds until the Recipebook window times out.
RECIPEBOOK_AUTOSEND_TIMEOUT = 3; --Seconds between sending RecipeBook information.
RECIPEBOOK_SEND_PAUSE = 3; --Seconds to pause between batches of information.

RECIPEBOOK_FACTION_COLOR = "|cff00ff00";
RECIPEBOOK_OPPOSITE_COLOR = "|cff33ccff";
RECIPEBOOK_HEADER_COLOR = "|cff33ff00";
RECIPEBOOK_COMMAND_COLOR = "|cffffff00";
RECIPEBOOK_FRIEND_FACTION_COLOR = "|cffffff00";
RECIPEBOOK_FRIEND_OPPOSITE_COLOR = "|cffff3300";
RECIPEBOOK_ON_COLOR = "|cff00ff00";
RECIPEBOOK_OFF_COLOR = "|cffff0000";
RECIPEBOOK_END_COLOR = "|r";

RECIPEBOOK_LOADED = string.format(RECIPEBOOK_VERSION.." loaded! Enter "..RECIPEBOOK_COMMAND_COLOR.."/recipebook help"..RECIPEBOOK_END_COLOR.." or "..RECIPEBOOK_COMMAND_COLOR.."/rb help"..RECIPEBOOK_END_COLOR.." for options; "..RECIPEBOOK_COMMAND_COLOR.."/rb config"..RECIPEBOOK_END_COLOR.." for a graphical configuration.");

RECIPEBOOK_USAGE = {
	RECIPEBOOK_HEADER_COLOR.."Usage:"..RECIPEBOOK_END_COLOR.." Use "..RECIPEBOOK_COMMAND_COLOR.."/recipebook"..RECIPEBOOK_END_COLOR.." or "..RECIPEBOOK_COMMAND_COLOR.."/rb"..RECIPEBOOK_END_COLOR.." with the following options:",
	"   (no options) : Show all current RecipeBook options",
	"   "..RECIPEBOOK_COMMAND_COLOR.."help"..RECIPEBOOK_END_COLOR.." : Display this help message.",
	"   "..RECIPEBOOK_COMMAND_COLOR.."on|off"..RECIPEBOOK_END_COLOR.." : Turns RecipeBook data display on and off.",
	"   "..RECIPEBOOK_COMMAND_COLOR.."config"..RECIPEBOOK_END_COLOR.." : Opens a graphical configuration window.",
	"   "..RECIPEBOOK_COMMAND_COLOR.."tooltip on|off"..RECIPEBOOK_END_COLOR.." : Turns tooltip display on and off.",
	"   "..RECIPEBOOK_COMMAND_COLOR.."chatframe on|off"..RECIPEBOOK_END_COLOR.." : Turns chatframe display on and off.",
	"   "..RECIPEBOOK_COMMAND_COLOR.."friend on|off"..RECIPEBOOK_END_COLOR.." : Turns RecipeBook friends' data display on and off",
	"   ",
	"   "..RECIPEBOOK_COMMAND_COLOR.."specials"..RECIPEBOOK_END_COLOR.." : Scans for tradeskill specializations you know.",
	"   "..RECIPEBOOK_COMMAND_COLOR.."skill <character|all> <tradeskill|all>"..RECIPEBOOK_END_COLOR.." : Displays the currently-known recipes for the given character and tradeskill.  BETA: Use 'all' to show all known tradeskills for a certain character or all of your characters (not shared) with a given tradeskill.  These output to the RecipeBook chat tab only, not to a window.",
	"   ",
	"   "..RECIPEBOOK_COMMAND_COLOR.."bank <recipe link | [recipe name]>"..RECIPEBOOK_END_COLOR.." (BETA) : Puts a particular recipe in your banked list.  To easily bank a recipe open your chat frame, type '/rb bank' and then shift+click on the recipe to link it to RecipeBook.  If you'd rather type it out, then be sure to enclose it in square brackets: [Recipe Name].",
	"   "..RECIPEBOOK_COMMAND_COLOR.."unbank <recipe link | [recipe name]>"..RECIPEBOOK_END_COLOR.." : (BETA) Removes a particular recipe from your banked list. Use just like /rb bank.",
	"   "..RECIPEBOOK_COMMAND_COLOR.."banklist"..RECIPEBOOK_END_COLOR.." : (BETA) Displays the items currently stored in your bank (in RecipeBook chat tab).",
	"   ",
	"   "..RECIPEBOOK_COMMAND_COLOR.."reset <tradeskill|all>"..RECIPEBOOK_END_COLOR.." : Resets a given tradeskill the current character knows.  Optionally, resets all tradeskills the current character knows.",
	"   "..RECIPEBOOK_COMMAND_COLOR.."clear <character>"..RECIPEBOOK_END_COLOR.." : Clears all received tradeskill data for a particular character.  Cannot be used for the current character. (see /rb reset for that.)",
	"   "..RECIPEBOOK_COMMAND_COLOR.."send <player> <tradeskill>"..RECIPEBOOK_END_COLOR.." : Sends your RecipeBook data for a given tradeskill to another player.  Use 'all' as your tradeskill to send all tradeskills you know.",
	"   "..RECIPEBOOK_COMMAND_COLOR.."receive <friend|guild|others> <accept|decline|prompt>"..RECIPEBOOK_END_COLOR.." : For each subset of people (friends, guildmates who are not on your flist, everyone else), determine whether you will automatically accept RecipeBook shares, automatically decline, or ask to be prompted.",
	"   ",
	RECIPEBOOK_HEADER_COLOR.."Display Options:"..RECIPEBOOK_END_COLOR.." use "..RECIPEBOOK_COMMAND_COLOR.."/rb <option>"..RECIPEBOOK_END_COLOR.." for your alts' data; use "..RECIPEBOOK_COMMAND_COLOR.."/rb friend <option>"..RECIPEBOOK_END_COLOR.." for your friends' data (i.e. /rb known off turns off display of your alts' known recipes; /rb friend known off turns off display of your friends' known recipes)",
	"   "..RECIPEBOOK_COMMAND_COLOR.."known on|off"..RECIPEBOOK_END_COLOR.." : Show/Hide characters who already know a given recipe",
	"   "..RECIPEBOOK_COMMAND_COLOR.."learn on|off"..RECIPEBOOK_END_COLOR.." : Show/Hide characters who can currently learn a given recipe",
	"   "..RECIPEBOOK_COMMAND_COLOR.."future on|off"..RECIPEBOOK_END_COLOR.." : Show/Hide characters who need only skillups to learn a given recipe (if the recipe requires a specialization, the character must have the specialization).",
	"   "..RECIPEBOOK_COMMAND_COLOR.."banked on|off"..RECIPEBOOK_END_COLOR.." : Show/Hide whether a given recipe has been banked (defaults to OFF).",
	"   "..RECIPEBOOK_COMMAND_COLOR.."faction same|opposite|both"..RECIPEBOOK_END_COLOR.." : Show data for characters of a particular faction, or both factions",
	};
RECIPEBOOK_DEFAULT_OPTIONS = {Status = "On"; Tooltip = "On"; ChatFrame = "Off"; ShowSelf = "Off"; SameFaction = "On"; OtherFaction = "Off"; Known = "On"; CanLearn = "On"; WillLearn = "On"; Banked = "Off"; Receive="fPgPoP"; FriendShow = "On"; FriendKnown="On"; FriendCanLearn="On"; FriendWillLearn="On"; FriendSameFaction="On"; FriendOtherFaction="Off"};
RECIPEBOOK_VALID_OPTIONS = "Status Tooltip ChatFrame ShowSelf SameFaction OtherFaction Known CanLearn Banked WillLearn Receive FriendShow FriendSameFaction FriendOtherFaction FriendKnown FriendCanLearn FriendWillLearn";

--== Built-in data strings ==--
RECIPEBOOK_RECIPEPREFIXES = "Formula Pattern Plans Recipe Schematic";
RECIPEBOOK_ALCHEMY = "Alchemy";
RECIPEBOOK_BLACKSMITHING = "Blacksmithing";
RECIPEBOOK_WEAPONSMITH = "Weaponsmith"
RECIPEBOOK_MASTER = "Master";
RECIPEBOOK_BLACKSMITHING_SPECIALS = "|Armorsmith |Weaponsmith |Master Swordsmith |Master Axesmith |Master Hammersmith |";
RECIPEBOOK_ENCHANTING = "Enchanting";
RECIPEBOOK_ENGINEERING = "Engineering";
RECIPEBOOK_ENGINEERING_SPECIALS = "|Goblin Engineer |Gnomish Engineer |";
RECIPEBOOK_LEATHERWORKING = "Leatherworking";
RECIPEBOOK_LEATHERWORKING_SPECIALS = "|Tribal Leatherworking |Elemental Leatherworking |Dragonscale Leatherworking |";
RECIPEBOOK_TAILORING = "Tailoring";

RECIPEBOOK_RECIPENAMES = RECIPEBOOK_ALCHEMY.." "..RECIPEBOOK_BLACKSMITHING.." "..RECIPEBOOK_ENCHANTING.." "..RECIPEBOOK_ENGINEERING.." "..RECIPEBOOK_LEATHERWORKING.." "..RECIPEBOOK_TAILORING;

--== Necessary for the parser ==--
RECIPEBOOK_CHAT_SKILLUP = gsub(gsub(ERR_SKILL_UP_SI, "%%s", "(%%w*)"), "%%d.", "(%%d+)%%.");
RECIPEBOOK_CHAT_LEARN_RECIPE = string.sub(ERR_LEARN_RECIPE_S, 1, -4);
RECIPEBOOK_CHAT_LEARN_SPELL = string.sub(ERR_LEARN_SPELL_S, 1, -4);

RECIPEBOOK_REQUIRED_STRING = "Requires";
RECIPEBOOK_LEVEL_STRING = "Level";

--== Chatframe Output ==--
RECIPEBOOK_CHATFRAME_KNOWNBY = " is already known by: ";
RECIPEBOOK_CHATFRAME_NONEKNOWN = " is known by no alts";
RECIPEBOOK_CHATFRAME_CANLEARN = " can be learned by: ";
RECIPEBOOK_CHATFRAME_NONELEARN = " cannot be learned by any alts";
RECIPEBOOK_CHATFRAME_WILLLEARN = " will eventually be learnable by (current skill): ";
RECIPEBOOK_CHATFRAME_NONEWILLLEARN = " has no alts who need only skillups to learn it.";
RECIPEBOOK_CHATFRAME_BANKED = " has been banked.";
RECIPEBOOK_CHATFRAME_NOTBANKED = " has not been banked.";

--== Tooltip Output ==--
RECIPEBOOK_KNOWNBY = "Already known by: ";
RECIPEBOOK_CANLEARN = "Can be learned by: ";
RECIPEBOOK_WILLLEARN = "Will be learnable by: ";
RECIPEBOOK_ISBANKED = "Recipe has been banked.";

--== /rb Command output ==--
RECIPEBOOK_FRIEND_PREFIX = "  For friends: "

RECIPEBOOK_ON = RECIPEBOOK_ON_COLOR.."On"..RECIPEBOOK_END_COLOR;
RECIPEBOOK_OFF = RECIPEBOOK_OFF_COLOR.."Off"..RECIPEBOOK_END_COLOR;

RECIPEBOOK_SHOW = RECIPEBOOK_ON_COLOR.."Showing"..RECIPEBOOK_END_COLOR;
RECIPEBOOK_HIDE = RECIPEBOOK_OFF_COLOR.."Hiding"..RECIPEBOOK_END_COLOR;

--Toggle On|Off options
RECIPEBOOK_STATUS_ONOFF = "RecipeBook data output: %s (data collection is always on)"
RECIPEBOOK_FRIENDSHOW_ONOFF = "Friends data display: %s";

--Toggle Show|Hide options
RECIPEBOOK_SHOWSELF_SHOWHIDE = "%s data for the current character.";
RECIPEBOOK_KNOWN_SHOWHIDE = "%s data for characters who already know recipes.";
RECIPEBOOK_CANLEARN_SHOWHIDE = "%s data for characters who can learn recipes.";
RECIPEBOOK_WILLLEARN_SHOWHIDE = "%s data for characters who need only skillups to be able to learn recipes.";
RECIPEBOOK_BANKED_SHOWHIDE = "%s whether you have banked particular recipes."

--Toggle Specific Options
RECIPEBOOK_OUTPUT_TOOLTIP= "Data output to tooltip: ";
RECIPEBOOK_OUTPUT_CHATFRAME = "Data output to Recipe Book Chatframe: ";
--
RECIPEBOOK_DISPLAY_FACTION = "Displaying match data for %s characters only.";
RECIPEBOOK_DISPLAY_BOTHFACTIONS = "Displaying match data for both Alliance and Horde characters.";
RECIPEBOOK_DISPLAY_NOFACTIONS = "Displaying no match data (no factions selected).";
--
RECIPEBOOK_ACCEPT_ALL = "Auto-accepting all RecipeBook data shares.";
RECIPEBOOK_DECLINE_ALL= "Auto-declining all RecipeBook data shares.";
RECIPEBOOK_PROMPT_ALL = "Prompting for all RecipeBook data shares.";
RECIPEBOOK_RFRIENDS = "Friends: ";
RECIPEBOOK_RGUILD = "; Guildmates: ";
RECIPEBOOK_ROTHERS = "; Others: ";
RECIPEBOOK_AUTOACCEPT = RECIPEBOOK_ON_COLOR.."Auto-accept"..RECIPEBOOK_END_COLOR.." shares";
RECIPEBOOK_AUTODECLINE = RECIPEBOOK_OFF_COLOR.."Auto-decline"..RECIPEBOOK_END_COLOR.." shares";
RECIPEBOOK_PROMPT = "Prompt for shares";
--
RECIPEBOOK_ADDED_SPECIALS = "Found and added the following tradeskill specializations: ";

--Error Messages
RECIPEBOOK_INVALID_OUTPUT = "Invalid option.  Use /rb output [tooltip|chatframe|both] [on|off]";
RECIPEBOOK_INVALID_DISPLAY = "Invalid option.  Valid options are: same, opposite, both";
RECIPEBOOK_INVALID_ONOFF = "Invalid option.  Valid options are: on, off";

RECIPEBOOK_NOALTGIVEN = "I don't know who to list recipes for.  Use "..RECIPEBOOK_COMMAND_COLOR.."/recipebook skill <alt> <tradeskill>"..RECIPEBOOK_END_COLOR.." to list tradeskills for an alt.";
RECIPEBOOK_NOALTMATCH = "No match found for character ";
RECIPEBOOK_NOTRADESKILLGIVEN = "I don't know what tradeskill to list recipes for.  Use "..RECIPEBOOK_COMMAND_COLOR.."/recipebook skill <alt> <tradeskill>"..RECIPEBOOK_END_COLOR.." to list tradeskills for an alt.";
RECIPEBOOK_NOTRADESKILLMATCH = "No tradeskill match found for ";

RECIPEBOOK_RECEIVE_USAGE = "Usage: "..RECIPEBOOK_COMMAND_COLOR.."/rb receive <friend|guild|others> <accept|decline|prompt>"..RECIPEBOOK_END_COLOR..", where accept will auto-accept for that group, decline will auto-decline, and prompt will always prompt."
RECIPEBOOK_NOTINGUILD = "You're not in a guild!";

RECIPEBOOK_INVALID_RESET = "I don't know what to reset data for.  Use "..RECIPEBOOK_COMMAND_COLOR.."/rb reset <tradeskill>"..RECIPEBOOK_END_COLOR.." to reset a tradeskill for this character.  /rb reset all will reset all tradeskills.";
RECIPEBOOK_RESET_SUCCEED = "Successfully reset data for tradeskill ";
RECIPEBOOK_RESET_FAIL = "Could not reset data, no match for tradeskill ";
RECIPEBOOK_RESET_ALL = "Successfully reset all tradeskill data for ";
RECIPEBOOK_ERROR_RESETSELF = "Cannot use /rb clear on yourself.  Use /rb reset all to reset your tradeskills.";

RECIPEBOOK_BANK_SUCCEED =  "Successfully banked %s!";
RECIPEBOOK_BANK_FAIL =  "Need an item link or recipe title (in [Recipe Name] format) to bank.";
RECIPEBOOK_UNBANK_SUCCEED=  "Successfully removed %s from banked list!";
RECIPEBOOK_UNBANK_FAIL=  "No banked item match; I need an item link or recipe title (in [Recipe Name] format) to unbank.";

--== RecipeBook_Print() ==--
RECIPEBOOK_ERROR_PREFIX = "|cffffff00<|cffff0000RecipeBook Error|cffffff00>|r ";
RECIPEBOOK_PREFIX = "|cffffff00<RecipeBook>|r ";

--== Config ==--
RECIPEBOOK_CONFIG_TITLEBAR = "Recipe Book Configuration";

RECIPEBOOK_CBX_DISPLAYTOGGLE_TEXT = "Display Recipe Book Output";
RECIPEBOOK_CBX_FRIENDSDISPLAYTOGGLE_TEXT = "Display Shared Data";
RECIPEBOOK_CBX_SELFDISPLAYTOGGLE_TEXT = "Include Current Character";
RECIPEBOOK_CBX_BANKDISPLAYTOGGLE_TEXT = "Show Banked Status";
RECIPEBOOK_CBX_KNOW_TEXT = "Are already known";
RECIPEBOOK_CBX_LEARN_TEXT = "Can be learned";
RECIPEBOOK_CBX_WILLLEARN_TEXT = "Will be learnable";
RECIPEBOOK_CBX_OUTPUTTOOLTIP_TEXT = "Tooltip";
RECIPEBOOK_CBX_OUTPUTCHATFRAME_TEXT = "RecipeBook chat tab";
RECIPEBOOK_CBX_SAMEFACTION_TEXT = "Same Faction";
RECIPEBOOK_CBX_OPPOSITEFACTION_TEXT = "Opposite Faction";

RECIPEBOOK_DD_FRIENDSHARE = "Friends";
RECIPEBOOK_DD_GUILDSHARE = "Guildmates";
RECIPEBOOK_DD_OTHERSHARE = "Everyone Else";

RECIPEBOOK_CONFIG_HEADER_GENERAL = "General Options";
RECIPEBOOK_CONFIG_HEADER_PERSONAL = "Your Alts Display Options";
RECIPEBOOK_CONFIG_HEADER_SHARED = "Shared Display Options";
RECIPEBOOK_CONFIG_HEADER_DISPLAY = "Display Options";
RECIPEBOOK_CONFIG_HEADER_SHARE = "Share Options";

RECIPEBOOK_CONFIG_TEXT_SHOWCATEGORIES = "Show recipes that:";
RECIPEBOOK_CONFIG_TEXT_OUTPUT = "Output recipe information to:";
RECIPEBOOK_CONFIG_TEXT_FACTION = "Show recipe data for:";
RECIPEBOOK_CONFIG_TEXT_SHARE = "What to do when you receive a RecipeBook share request from:";
RECIPEBOOK_CONFIG_DD_SHARE = {
	{name = "A", text = "Accept"},
	{name = "D", text = "Decline"},
	{name = "P", text = "Prompt"}
	};

--== Send Data ==--
RECIPEBOOK_SEND_USAGE = "Usage: "..RECIPEBOOK_COMMAND_COLOR.."/rb send <person> <tradeskill>"..RECIPEBOOK_END_COLOR;
RECIPEBOOK_MATCHEDSELF = "No reason to send yourself data.  Besides, it won't work. :)";
RECIPEBOOK_MESSAGE_TRIGGER_WORD = "Recipe\195\159ook";
RECIPEBOOK_MESSAGE_TRIGGER = "["..RECIPEBOOK_MESSAGE_TRIGGER_WORD.."]";
RECIPEBOOK_MESSAGE_INITIATE = " Hello, this is RecipeBook.  I'd like to initiate a share for ";
RECIPEBOOK_MESSAGE_TERMINATE = " Completed RecipeBook share for ";
RECIPEBOOK_MESSAGE_CANCEL = " Cancel RecipeBook share for ";
RECIPEBOOK_MESSAGE_ACCEPT = " Accept RecipeBook share for ";
RECIPEBOOK_MESSAGE_BUSY = " Receiver busy, try again later";
RECIPEBOOK_MESSAGE_ACKNOWLEDGE = " Acknowledging receipt of RecipeBook share data [spam protection].";

RECIPEBOOK_ERROR_AUTODECLINE = " does not currently wish to accept RecipeBook data for ";
RECIPEBOOK_ERROR_DECLINEDSESSION = "Auto-declining RecipeBook share from ";
RECIPEBOOK_ERROR_ACCEPTEDSESSION = "Auto-accepting RecipeBook share from %s for %s.";

RECIPEBOOK_ERROR_BUSY = "%s is currently busy.  Try again in a few minutes.";
RECIPEBOOK_ERROR_CANCEL = "RecipeBook session cancelled.";
RECIPEBOOK_ERROR_INITIATE = "RecipeBook is attempting to send tradeskill data for %s to %s...";
RECIPEBOOK_ERROR_TERMINATE = "RecipeBook data successfully sent!";
RECIPEBOOK_ERROR_RECEIVED = "RecipeBook data successfully received!";

RECIPEBOOK_POPUP_SEND = "Attempting to send your RecipeBook data for %s to %s.  This transfer will be cancelled in %d %s.";
RECIPEBOOK_POPUP_RECEIVE = "%s would like to send you RecipeBook data for %s.  This transfer will be cancelled in %d %s.";
RECIPEBOOK_POPUP_PAUSE = "RecipeBook is pausing to prevent spam prevention from logging you off.  Next tradeskill in %d %s.";

--== Correct Enchantments ==--
RECIPEBOOK_ENCHANTING_FILLER = ""; --German version has multiple broken enchanting recipes.